Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597137 (perl-CPAN-Meta) - Review Request: perl-CPAN-Meta - Distribution metadata for a CPAN dist
Summary: Review Request: perl-CPAN-Meta - Distribution metadata for a CPAN dist
Keywords:
Status: CLOSED ERRATA
Alias: perl-CPAN-Meta
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/CPAN-Meta/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 08:27 UTC by Iain Arnell
Modified: 2010-07-01 18:37 UTC (History)
2 users (show)

Fixed In Version: perl-CPAN-Meta-2.101610-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 18:37:18 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-05-28 08:27:19 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-CPAN-Meta.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-CPAN-Meta-2.101461-1.fc14.src.rpm

Description:
Software distributions released to the CPAN include a META.json or, for
older distributions, META.yml, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the META.json file is described
in CPAN::Meta::Spec.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2215041

*rt-0.10_01

Comment 1 Chris Weyl 2010-05-28 23:16:24 UTC
Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2215041

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Latest version (2.101461) is being packaged.

Source tarballs match upstream (sha1sum):
98a83411d727b4a842d75cdbc6858e233b4eaec8 CPAN-Meta-2.101461.tar.gz
98a83411d727b4a842d75cdbc6858e233b4eaec8 CPAN-Meta-2.101461.tar.gz.srpm

Final provides / requires are sane:

====> rpmlint perl-CPAN-Meta.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

======> perl-CPAN-Meta-2.101461-1.fc14.noarch.rpm <======
====> rpmlint
perl-CPAN-Meta.noarch: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsus
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
perl(CPAN::Meta) = 2.101461
perl(CPAN::Meta::Converter) = 2.101461
perl(CPAN::Meta::Feature) = 2.101461
perl(CPAN::Meta::History) = 2.101461
perl(CPAN::Meta::Prereqs) = 2.101461
perl(CPAN::Meta::Spec) = 2.101461
perl(CPAN::Meta::Validator) = 2.101461
perl-CPAN-Meta = 2.101461-1.fc14
====> requires
perl >= 0:5.006
perl(:MODULE_COMPAT_5.10.1)  
perl(CPAN::Meta::Converter)  
perl(CPAN::Meta::Feature)  
perl(CPAN::Meta::Prereqs)  
perl(CPAN::Meta::Validator)  
perl(Carp)  
perl(JSON) >= 2
perl(Parse::CPAN::Meta)  
perl(Scalar::Util)  
perl(Storable)  
perl(Version::Requirements) >= 0.101020
perl(autodie)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-CPAN-Meta-2.101461-1.fc14.src.rpm <======
====> rpmlint
perl-CPAN-Meta.src: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsus
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(JSON) >= 2
perl(Parse::CPAN::Meta)  
perl(Test::More) >= 0.88
perl(Version::Requirements) >= 0.101020
====> obsoletes
====> conflicts

APPROVED

Comment 2 Iain Arnell 2010-05-29 05:58:17 UTC
New Package CVS Request
=======================
Package Name: perl-CPAN-Meta
Short Description: Distribution metadata for a CPAN dist
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-05-31 19:31:07 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-06-01 05:00:21 UTC
Built in rawhide. Waiting for https://admin.fedoraproject.org/updates/FEDORA-2010-9200 to hit stable for branch.

Comment 5 Fedora Update System 2010-06-17 03:36:46 UTC
perl-CPAN-Meta-2.101610-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CPAN-Meta-2.101610-1.fc13

Comment 6 Fedora Update System 2010-06-21 12:58:17 UTC
perl-CPAN-Meta-2.101610-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CPAN-Meta'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CPAN-Meta-2.101610-1.fc13

Comment 7 Fedora Update System 2010-07-01 18:37:13 UTC
perl-CPAN-Meta-2.101610-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.